%define upstream_name    Dist-Zilla-Plugin-StaticVersion
%define upstream_version 0.103521

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Specify version number manually, using a plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This purpose of this plugin is to allow plugin bundles or other such things
to specify a specific version number. This allows one to write a
pluginbundle that decides based on its configuration whether to offer a
specific version number. You could not otherwise do this, because a static
version number is specified before any plugins in _dist.ini_.

You shouldn't need to use this plugin directly in your _dist.ini_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.103.521-2.mga3
+ Revision: 366430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 0.103.521-1.mga1
+ Revision: 71613
- imported package perl-Dist-Zilla-Plugin-StaticVersion

